## org.eclipse.datatools.modelbase.dbdefinition.impl
Class QueryDefinitionImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.datatools.modelbase.dbdefinition.impl.QueryDefinitionImpl

All Implemented Interfaces:
  QueryDefinition

public class QueryDefinitionImpl
extends EObjectImpl
implements QueryDefinition

An implementation of the model object 'Query Definition'.

The following features are implemented:

- `Identifier Quote String`
- `Host Variable Marker`
- `Host Variable Marker Supported`
- `Cast Expression Supported`
- `Default Keyword For Insert Value Supported`
- `Extended Grouping Supported`
- `Table Alias In Delete Supported`

See Also:
  Serialized Form

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getHostVariableMarker()`
`java.lang.String` `getIdentifierQuoteString()`
`boolean` `isCastExpressionSupported()`
`boolean` `isDefaultKeywordForInsertValueSupported()`
`boolean` `isExtendedGroupingSupported()`
`boolean` `isHostVariableMarkerSupported()`
`boolean` `isTableAliasInDeleteSupported()`
`void` `setCastExpressionSupported(boolean newCastExpressionSupported)`
`void` `setDefaultKeywordForInsertValueSupported(boolean newDefaultKeywordForInsertValueSupported)`
`void` `setExtendedGroupingSupported(boolean newExtendedGroupingSupported)`
`void` `setHostVariableMarker(java.lang.String newHostVariableMarker)`
`void` `setHostVariableMarkerSupported(boolean newHostVariableMarkerSupported)`
`void` `setIdentifierQuoteString(java.lang.String newIdentifierQuoteString)`
`void` `setTableAliasInDeleteSupported(boolean newTableAliasInDeleteSupported)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getIdentifierQuoteString

    public java.lang.String getIdentifierQuoteString()

  Specified by:
    `getIdentifierQuoteString` in interface `QueryDefinition`
  Returns:
    the value of the 'Identifier Quote String' attribute.
  See Also:
    `QueryDefinition.setIdentifierQuoteString(String)`, `DatabaseDefinitionPackage.getQueryDefinition_IdentifierQuoteString()`

### setIdentifierQuoteString

    public void setIdentifierQuoteString(java.lang.String newIdentifierQuoteString)

  Specified by:
    `setIdentifierQuoteString` in interface `QueryDefinition`
  Parameters:
    `newIdentifierQuoteString` - the new value of the 'Identifier Quote String' attribute.
  See Also:
    `QueryDefinition.getIdentifierQuoteString()`

### getHostVariableMarker

    public java.lang.String getHostVariableMarker()

  Specified by:
    `getHostVariableMarker` in interface `QueryDefinition`
  Returns:
    the value of the 'Host Variable Marker' attribute.
  See Also:
    `QueryDefinition.setHostVariableMarker(String)`, `DatabaseDefinitionPackage.getQueryDefinition_HostVariableMarker()`

### setHostVariableMarker

    public void setHostVariableMarker(java.lang.String newHostVariableMarker)

  Specified by:
    `setHostVariableMarker` in interface `QueryDefinition`
  Parameters:
    `newHostVariableMarker` - the new value of the 'Host Variable Marker' attribute.
  See Also:
    `QueryDefinition.getHostVariableMarker()`

### isHostVariableMarkerSupported

    public boolean isHostVariableMarkerSupported()

  Specified by:
    `isHostVariableMarkerSupported` in interface `QueryDefinition`
  Returns:
    the value of the 'Host Variable Marker Supported' attribute.
  See Also:
    `QueryDefinition.setHostVariableMarkerSupported(boolean)`, `DatabaseDefinitionPackage.getQueryDefinition_HostVariableMarkerSupported()`

### setHostVariableMarkerSupported

    public void setHostVariableMarkerSupported(boolean newHostVariableMarkerSupported)

  Specified by:
    `setHostVariableMarkerSupported` in interface `QueryDefinition`
  Parameters:
    `newHostVariableMarkerSupported` - the new value of the 'Host Variable Marker Supported' attribute.
  See Also:
    `QueryDefinition.isHostVariableMarkerSupported()`

### isCastExpressionSupported

    public boolean isCastExpressionSupported()

  Specified by:
    `isCastExpressionSupported` in interface `QueryDefinition`
  Returns:
    the value of the 'Cast Expression Supported' attribute.
  See Also:
    `QueryDefinition.setCastExpressionSupported(boolean)`, `DatabaseDefinitionPackage.getQueryDefinition_CastExpressionSupported()`

### setCastExpressionSupported

    public void setCastExpressionSupported(boolean newCastExpressionSupported)

  Specified by:
    `setCastExpressionSupported` in interface `QueryDefinition`
  Parameters:
    `newCastExpressionSupported` - the new value of the 'Cast Expression Supported' attribute.
  See Also:
    `QueryDefinition.isCastExpressionSupported()`

### isDefaultKeywordForInsertValueSupported

    public boolean isDefaultKeywordForInsertValueSupported()

  Specified by:
    `isDefaultKeywordForInsertValueSupported` in interface `QueryDefinition`
  Returns:
    the value of the 'Default Keyword For Insert Value Supported' attribute.
  See Also:
    `QueryDefinition.setDefaultKeywordForInsertValueSupported(boolean)`, `DatabaseDefinitionPackage.getQueryDefinition_DefaultKeywordForInsertValueSupported()`

### setDefaultKeywordForInsertValueSupported

    public void setDefaultKeywordForInsertValueSupported(boolean newDefaultKeywordForInsertValueSupported)

  Specified by:
    `setDefaultKeywordForInsertValueSupported` in interface `QueryDefinition`
  Parameters:
    `newDefaultKeywordForInsertValueSupported` - the new value of the 'Default Keyword For Insert Value Supported' attribute.
  See Also:
    `QueryDefinition.isDefaultKeywordForInsertValueSupported()`

### isExtendedGroupingSupported

    public boolean isExtendedGroupingSupported()

  Specified by:
    `isExtendedGroupingSupported` in interface `QueryDefinition`
  Returns:
    the value of the 'Extended Grouping Supported' attribute.
  See Also:
    `QueryDefinition.setExtendedGroupingSupported(boolean)`, `DatabaseDefinitionPackage.getQueryDefinition_ExtendedGroupingSupported()`

### setExtendedGroupingSupported

    public void setExtendedGroupingSupported(boolean newExtendedGroupingSupported)

  Specified by:
    `setExtendedGroupingSupported` in interface `QueryDefinition`
  Parameters:
    `newExtendedGroupingSupported` - the new value of the 'Extended Grouping Supported' attribute.
  See Also:
    `QueryDefinition.isExtendedGroupingSupported()`

### isTableAliasInDeleteSupported

    public boolean isTableAliasInDeleteSupported()

  Specified by:
    `isTableAliasInDeleteSupported` in interface `QueryDefinition`
  Returns:
    the value of the 'Table Alias In Delete Supported' attribute.
  See Also:
    `QueryDefinition.setTableAliasInDeleteSupported(boolean)`, `DatabaseDefinitionPackage.getQueryDefinition_TableAliasInDeleteSupported()`

### setTableAliasInDeleteSupported

    public void setTableAliasInDeleteSupported(boolean newTableAliasInDeleteSupported)

  Specified by:
    `setTableAliasInDeleteSupported` in interface `QueryDefinition`
  Parameters:
    `newTableAliasInDeleteSupported` - the new value of the 'Table Alias In Delete Supported' attribute.
  See Also:
    `QueryDefinition.isTableAliasInDeleteSupported()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.